## ironic 26.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
alembic>=1.4.2 # MIT
automaton>=1.9.0 # Apache-2.0
eventlet>=0.30.1 # MIT
WebOb>=1.7.1 # MIT
keystoneauth1>=4.2.0 # Apache-2.0
ironic-lib>=6.0.0 # Apache-2.0
stevedore>=1.29.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=9.1.0 # Apache-2.0
# TODO(dtantsur): remove rootwrap when we no longer provide ironic-rootwrap CLI
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.4.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan>=1.0.0 # BSD
pycdlib>=1.11.0 # LGPLv2
requests>=2.18.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
jsonpatch>=1.16 # BSD
Jinja2>=3.0.0 # BSD License (3 clause)
keystonemiddleware>=9.5.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=4.0.0 # MIT
psutil>=3.2.2 # BSD
futurist>=1.2.0 # Apache-2.0
tooz>=2.7.0 # Apache-2.0
openstacksdk>=0.99.0 # Apache-2.0
sushy>=4.8.0
construct>=2.9.39 # MIT
netaddr>=0.9.0 # BSD
microversion-parse>=1.0.1 # Apache-2.0

=== debian/changelog ===
ironic (1:26.1.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 25 Sep 2024 12:46:19 +0000

ironic (1:26.1.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/p/CVE-2024-44082.patch: Drop, included in release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 12:30:19 +0100

ironic (1:26.0.0+git2024080716.701ad07b-0ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked when a
    maliciously crafted image is used (LP: #2071740).
    - d/p/CVE-2024-44082.patch: Harden all image handling and conversion code.
    - d/control: Add qemu-utils to Build-Depends to allow unit tests to run
      qemu-img.
    - CVE-2024-44082

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 03 Sep 2024 16:20:54 +0100

ironic (1:26.0.0+git2024080716.701ad07b-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 13 Aug 2024 21:44:12 +0100

ironic (1:24.1.1-0ubuntu2) oracular; urgency=medium

  * d/p/install-missing-files.patch: Install all data files under the ironic/
    directory (LP: #2073643).
  * d/p/install-missing-db-files.patch: Dropped in favor of
    d/p/install-missing-files.patch.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Fri, 26 Jul 2024 15:43:51 +0100

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-microversion-parse (>= 1.0.1),
 python3-pbr (>= 3.1.1),
 python3-pyasyncore,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 qemu-utils,
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.9.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.4.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp4,
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.8.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Homepage: https://opendev.org/openstack/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.4.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.8.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.9.3),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

## ironic 26.1.1

=== debian/changelog ===
ironic (1:26.1.1-4) unstable; urgency=medium

  * Blacklist test (Closes: #1091115):
    - api.test_hooks.TestContextHook.test_context_hook_after_add_request_id

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 09:59:41 +0100

ironic (1:26.1.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090425).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:33:51 +0100

ironic (1:26.1.1-2) unstable; urgency=medium

  * Add stop-using-crypt.crypt-use-oslo_config-instead.patch
    (Closes: #1088323).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2024 09:43:21 +0100

ironic (1:26.1.1-1) unstable; urgency=medium

  * New upstream point release.
  * d/watch: use mode=git.
  * Blacklist TestFormatInspectors.test_iso_udf (Closes: #1086276).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:20:03 +0100

ironic (1:26.1.0-3) unstable; urgency=medium

  * Blacklist TestFormatInspectors.test_iso_9660 (Closes: #1084278).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 09:31:22 +0200

ironic (1:26.1.0-2) unstable; urgency=medium

  * autopkgtest: blacklist 2 unit tests failing on riscv64:
    - common.test_images.IronicImagesTestCase.test_image_to_raw
    - common.test_format_inspector.TestFormatInspectors.test_iso_9660

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 10:25:25 +0200

ironic (1:26.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Requires oslo.policy >= 4.4.0.
  * Add qemu-utils as build-depends, needed for new tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 09:16:06 +0200

ironic (1:26.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:00:12 +0200

ironic (1:26.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-initial_grub_cfg.template.patch.
  * Add missing ironic_lib.qemu_img namespace when generating ironic.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 16:39:55 +0200

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-bashate,
 python3-construct,
 python3-coverage,
 python3-ddt,
 python3-doc8,
 python3-dracclient,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 6.0.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-mysqldb,
 python3-netaddr (>= 0.9.0),
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.4.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-proliantutils (>= 2.16.2),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-rfc3986,
 python3-scciclient (>= 0.16.0),
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-sushy (>= 4.8.0),
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-webtest,
 qemu-utils,
Build-Conflicts:
 python-pysqlite2,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 debconf,
 ironic-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic,
 python3-automaton,
 python3-construct,
 python3-dracclient,
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 6.0.0),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-netaddr (>= 0.9.0),
 python3-openstacksdk,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.4.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-proliantutils (>= 2.16.2),
 python3-psutil,
 python3-psycopg2,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pycdlib,
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-rfc3986,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sushy (>= 4.8.0),
 python3-tenacity,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient (>= 0.16.0),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

## ironic 26.1.3

=== debian/changelog ===
ironic (1:26.1.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed stop-using-crypt.crypt-use-oslo_config-instead.patch.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow_unsafe_image_file_paths.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 24 Sep 2025 10:23:02 +0000

ironic (1:26.1.1-6) UNRELEASED; urgency=medium

  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:31:17 +0200

## ironic 26.1.4

=== debian/changelog ===
ironic (1:26.1.4-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 05 Nov 2025 08:45:54 +0000

ironic (1:26.1.3-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Refreshed stop-using-crypt.crypt-use-oslo_config-instead.patch.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow_unsafe_image_file_paths.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2025 12:19:37 +0200

## ironic 26.1.5

=== debian/changelog ===
ironic (1:26.1.5-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 14:37:35 +0000

ironic (1:26.1.4-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 09:44:44 +0100

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic refs/tags/(\d[brc\d\.]+)

## ironic 27.0.0+git2025011509.75b84f663

=== debian/changelog ===
ironic (1:27.0.0+git2025011509.75b84f663-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 15:32:03 +0000

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-microversion-parse (>= 1.0.1),
 python3-pbr (>= 6.0.0),
 python3-pyasyncore,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 qemu-utils,
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-netaddr (>= 0.9.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp4,
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.8.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Homepage: https://opendev.org/openstack/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 6.0.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.8.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.9.3),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

## ironic 29.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,14 +2,13 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 
-pbr>=3.1.1 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
 alembic>=1.4.2 # MIT
 automaton>=1.9.0 # Apache-2.0
 eventlet>=0.30.1 # MIT
 WebOb>=1.7.1 # MIT
 keystoneauth1>=4.2.0 # Apache-2.0
-ironic-lib>=6.0.0 # Apache-2.0
 stevedore>=1.29.0 # Apache-2.0
 oslo.concurrency>=4.2.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
@@ -19,11 +18,11 @@
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=4.4.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.service>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=4.5.0 # Apache-2.0
+oslo.utils>=8.0.0 # Apache-2.0
 osprofiler>=1.5.0 # Apache-2.0
 os-traits>=0.4.0 # Apache-2.0
 pecan>=1.0.0 # BSD
@@ -45,3 +44,8 @@
 construct>=2.9.39 # MIT
 netaddr>=0.9.0 # BSD
 microversion-parse>=1.0.1 # Apache-2.0
+zeroconf>=0.24.0 # LGPL
+os-service-types>=1.7.0 # Apache-2.0
+bcrypt>=3.1.3 # Apache-2.0
+websockify>=0.9.0 # LGPLv3
+PyYAML>=6.0.2 # MIT

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
ironic (1:29.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Fri, 21 Mar 2025 10:04:04 +0100

ironic (1:28.0.0+git2025030311.5e22704da-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 14:58:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dh-python,
  openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
- python3-microversion-parse (>= 1.0.1),
  python3-pbr (>= 6.0.0),
  python3-pyasyncore,
  python3-setuptools,
@@ -20,6 +19,7 @@
  python3-automaton (>= 1.9.0),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
+ python3-bcrypt (>= 3.1.3),
  python3-cinderclient (>= 1:3.3.0),
  python3-construct (>= 2.9.39),
  python3-ddt (>= 1.2.1),
@@ -35,11 +35,13 @@
  python3-jsonschema (>= 4.0.0),
  python3-keystoneauth1 (>= 4.2.0),
  python3-keystonemiddleware (>= 9.5.0),
+ python3-microversion-parse (>= 1.0.1),
  python3-netaddr (>= 0.9.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 2.2.0),
  python3-openstacksdk (>= 0.99.0),
  python3-os-api-ref (>= 1.4.0),
+ python3-os-service-types (>= 1.7.0),
  python3-os-testr (>= 1.0.0),
  python3-os-traits (>= 0.4.0),
  python3-oslo.concurrency (>= 4.2.0),
@@ -56,7 +58,7 @@
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.5.0),
+ python3-oslo.utils (>= 8.0.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
@@ -81,6 +83,7 @@
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.29.0),
  python3-sushy (>= 4.8.0),
+ python3-sushy-oem-idrac,
  python3-swiftclient (>= 1:3.2.0),
  python3-tenacity (>= 6.3.1),
  python3-testresources (>= 2.0.0),
@@ -89,8 +92,11 @@
  python3-tooz (>= 2.7.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
+ python3-websockify (>= 0.9.0),
  python3-webtest (>= 2.0.27),
  python3-wsme (>= 0.9.3),
+ python3-yaml (>= 6.0.2),
+ python3-zeroconf (>= 0.24.0),
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
 Homepage: https://opendev.org/openstack/ironic
@@ -189,7 +195,7 @@
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.5.0),
+ python3-oslo.utils (>= 8.0.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.5.0),
  python3-paramiko (>= 2.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ironic/ ironic-(29\.\d.*)\.tar\.gz

## ironic 29.0.3

=== debian/changelog ===
ironic (1:29.0.3-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow+unsafe_image_file_paths.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 11:12:17 +0000

ironic (1:29.0.0-7) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:58:33 +0200

ironic (1:29.0.0-6) unstable; urgency=high

  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2025 09:03:43 +0200

ironic (1:29.0.0-5) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 May 2025 06:52:53 +0200

ironic (1:29.0.0-4) unstable; urgency=medium

  * d/watch: Mangle 2014 and 2015 versions.
  * Add NoVNC proxy package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 May 2025 11:52:49 +0200

ironic (1:29.0.0-3) unstable; urgency=medium

  * Blacklist RedfishFirmwareTestCase.test_check_update_still_waiting as it
    timeouts on riscv64.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 11:20:13 +0200

ironic (1:29.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:17:13 +0100

ironic (1:29.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop patch applied upstream:
     - stop-using-crypt.crypt-use-oslo_config-instead.patch
  * Also package usr/share/ironic/vnc-container.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:11:07 +0100

## ironic 29.0.4

=== debian/changelog ===
ironic (1:29.0.4-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Thu, 06 Nov 2025 07:43:18 +0000

ironic (1:29.0.3-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow+unsafe_image_file_paths.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:39:37 +0200

## ironic 30.0.0+git2025070713.577833d78

=== requirements.txt ===
--- 
+++ 
@@ -49,3 +49,4 @@
 bcrypt>=3.1.3 # Apache-2.0
 websockify>=0.9.0 # LGPLv3
 PyYAML>=6.0.2 # MIT
+cheroot>=10.0.1 # BSD

=== debian/changelog ===
ironic (1:30.0.0+git2025070713.577833d78-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/control: update maintainer to Ubuntu Devel

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 11:03:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ironic
 Section: net
 Priority: extra
-Maintainer: Chuck Short <zulcss@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -20,6 +20,7 @@
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
  python3-bcrypt (>= 3.1.3),
+ python3-cheroot (>= 10.0.0),
  python3-cinderclient (>= 1:3.3.0),
  python3-construct (>= 2.9.39),
  python3-ddt (>= 1.2.1),
@@ -36,9 +37,9 @@
  python3-keystoneauth1 (>= 4.2.0),
  python3-keystonemiddleware (>= 9.5.0),
  python3-microversion-parse (>= 1.0.1),
- python3-netaddr (>= 0.9.0),
+ python3-netaddr (>= 0.8.0),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstackdocstheme (>= 2.2.0),
+ python3-openstackdocstheme (>= 3.2.0),
  python3-openstacksdk (>= 0.99.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-service-types (>= 1.7.0),
@@ -95,7 +96,7 @@
  python3-websockify (>= 0.9.0),
  python3-webtest (>= 2.0.27),
  python3-wsme (>= 0.9.3),
- python3-yaml (>= 6.0.2),
+ python3-yaml (>= 6.0.1),
  python3-zeroconf (>= 0.24.0),
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
@@ -168,7 +169,10 @@
  ironic-common (= ${binary:Version}),
  python3-alembic (>= 1.4.2),
  python3-automaton (>= 1.9.0),
+ python3-bcrypt (>= 3.1.3),
+ python3-cheroot (>= 10.0.0),
  python3-cinderclient (>= 1:3.3.0),
+ python3-construct (>= 2.9.39),
  python3-eventlet (>= 0.30.1),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -178,8 +182,11 @@
  python3-jsonschema (>= 4.0.0),
  python3-keystoneauth1 (>= 4.2.0),
  python3-keystonemiddleware (>= 9.5.0),
+ python3-microversion-parse (>= 1.0.1),
+ python3-netaddr (>= 0.8.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstacksdk (>= 0.99.0),
+ python3-os-service-types (>= 1.7.0),
  python3-os-traits (>= 0.4.0),
  python3-oslo.concurrency (>= 4.2.0),
  python3-oslo.config (>= 1:6.8.0),
@@ -218,7 +225,10 @@
  python3-tooz (>= 2.7.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
+ python3-websockify (>= 0.9.0),
  python3-wsme (>= 0.9.3),
+ python3-yaml (>= 6.0.1),
+ python3-zeroconf (>= 0.24.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Openstack bare metal provisioning service - Python 3 library
